Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Jul 2025 16:24:47 +0300

> Date: Tue, 22 Jul 2025 14:09:40 +0200
> From: Samuel Thibault <[email-masked]>
> Cc: Robert Pluim <[email-masked]>, [email-masked],
> 	[email-masked], [email-masked]
> 
> Eli Zaretskii, le mar. 22 juil. 2025 15:03:52 +0300, a ecrit:
> > Of course, specially-tailored cases could be concocted which show the
> > contrary, but that's not what this code is about.  The request in this
> > bug report, AFAIU, was to disable the use of TABs _in_all_cases_,
> 
> No.
> 
> “
> Quoting Samuel: "Emacs, instead of sending a rightward cursor movement
> (\e[C), sends \009\008 (a tabulation and a leftward cursor movement)"
> 
> This char insertion problem confuses assistive technologies for the
> visually impaired.
> ”

We are mis-communicating.  When I said "in all cases", I meant even
when TABs do not cause any problems and/or when screen-reading
software is not used at all.

> I don't remember really asking for more than that.

A reminder from https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78474#77

> This leads me to the suggestion that the configuration where tab is not
> used is the one enabled by default, leaving the configuraitn burden to
> those to whom performance matters enough for them to care.

And no, it wasn't you who asked for that; but then I didn't say it was
you.